"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkix/build/temp.win-amd64-cpython-310/Release/rdkix_install\\share/RDKix\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF018B80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF018C10>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF018CA0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF018D30>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF018DC0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF018E50>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF018EE0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF018F70>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019000>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019090>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019120>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF0191B0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019240>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF0192D0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019360>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF0193F0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019480>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019510>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF0195A0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019630>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF0196C0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019750>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF0197E0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019870>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019990>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019900>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019A20>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019AB0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019B40>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019BD0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019C60>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019CF0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019D80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019E10>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019EA0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019F30>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF019FC0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A050>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A0E0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A170>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A200>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A290>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A320>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A3B0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A440>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A4D0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A560>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A5F0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A680>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A710>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A7A0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A830>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A8C0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A950>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01A9E0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01AA70>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01AB00>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01AB90>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01AC20>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01ACB0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01AD40>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01ADD0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01AE60>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01AEF0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01AF80>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01B130>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01B010>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01B1C0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01B250>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01B2E0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01B370>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01B400>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01B520>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01B490>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01B5B0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01B640>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01B6D0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01B7F0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01B760>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01B880>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01B910>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01B9A0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01BA30>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01BAC0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001B2EF01BB50>)]
name: str = 'fr_HOCCN'
